//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//

package com.ibm.websphere.samples.activitysessions.ASContainerManagedEJB2;
/**
 * Remote interface for Enterprise Bean: ASContainerManagedEJB2
 */
public interface ASContainerManagedEJB2 extends javax.ejb.EJBObject 
{
    /**
     * This remote method is the first method invoked on the EJB.
     * It opens a connection to the datasource..
     * @exception java.rmi.RemoteException Signals that a Remote exception of
     *            some sort has occurred.
     * @exception Exception Signals that an exception of some sort has occurred.
     */	
    void open() throws Exception, java.rmi.RemoteException;

    /**
     * This remote method is the second method invoked on the EJB.
     * It updates some data in a database.
     * @exception java.rmi.RemoteException Signals that a Remote exception of
     *            some sort has occurred.
     * @exception Exception Signals that an exception of some sort has occurred.
     */
    void performUpdates() throws Exception, java.rmi.RemoteException;

    /**
     * This remote method is the third method invoked on the EJB.
     * It completes the LTC in the direction specified.
     * @param completionDirection boolean specifies which direction to complete the LTC,
     *        with true indicating to commit, false indicating to rollback.
     * @exception java.rmi.RemoteException Signals that a Remote exception of
     *            some sort has occurred.
     * @exception Exception Signals that an exception of some sort has occurred.
     */
    void endLTC(boolean completionDirection) throws Exception, java.rmi.RemoteException;

    /**
     * This remote method is the Fourth and final method invoked on the EJB
     * @param completeLTC boolean tells the checker whether the LTC was completed
     * @param completionDirection boolean tells the checker the direction the LTC was completed.
     *        This is only relevant if completeLTC is true.
     * @exception java.rmi.RemoteException Signals that a Remote exception of
     *            some sort has occurred.
     * @exception Exception Signals that an exception of some sort has occurred.
     */
    boolean checkValues(boolean completeLTC, boolean completionDirection) throws Exception, java.rmi.RemoteException;
}

