//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//

package com.ibm.websphere.samples.activitysessionEJB;

/**
 * The Remote Interface for the ActivitySessions Sample - MasterMind
 */
public interface MasterMindGame extends javax.ejb.EJBObject 
{

    /**
     * This remote method is used to calculate the results of the latest guess.
     * @return boolean Indicates if the guess is correct
     * @param guess int [] Represents the most recent guess
     * @exception java.rmi.RemoteException Signals that a RemoteException has occured.
     */
    boolean calculate(int [] guess) throws java.rmi.RemoteException;

    /**
     * This remote method is used to return the array of guesses made so far.
     * @return int [][] Representing an array of all the guesses made this game.
     * @exception java.rmi.RemoteException Signals that a RemoteException has occured.
     */
    int [][] getGuessArray() throws java.rmi.RemoteException;
    
    /**
     * This remote method is used to return the number of guesses made so far.
     * @return int
     * @exception java.rmi.RemoteException Signals that a RemoteException has occured.
     */
    int getGuessNumber() throws java.rmi.RemoteException;

    /**
     * This remote method is used to return the array of Results. There is one results for each guess.
     * @return int [][]
     * @exception java.rmi.RemoteException Signals that a RemoteException has occured.
     */
    int [][] getResultsArray() throws java.rmi.RemoteException;

    /**
     * This remote method is used to return the target array.
     * @return int []
     * @exception java.rmi.RemoteException Signals that a RemoteException has occured.
     */
    int [] getTarget() throws java.rmi.RemoteException;

    /**
     * This remote method is used to inform the bean that a new game has been requested.
     * @exception java.rmi.RemoteException Signals that a RemoteException has occured.
     */
    void newGame() throws java.rmi.RemoteException;
}
