// ---------------------------------------------------------------------------
//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
//  Change History:
//
// Date       Programmer   Defect    Description
// ----       ----------   ------    -----------
// 02-07-11   hthomann     132573.8  Added copyright statement
// ---------------------------------------------------------------------------

package com.ibm.websphere.samples.workarea.companycontextejb;

import java.rmi.RemoteException;

/**
 * This is an Enterprise Java Bean Remote Interface
 * The Backend represents in the sample business function known to the Bean
 * but not necessarily to the originating client. In this case, because the Bean is the
 * client to the BackendBean, the SampleBean began a new nested WorkArea and overrode the
 * client's priority. This is the intended use of WorkArea nesting. This bean makes nominal use of the
 * WorkArea service; it reads the two keys directly (priority from the nested WorkArea, company from the
 * original WorkArea begun from the client) without being aware of the composition of the work areas, then
 * reads all keys to illustrate another method from the WorkArea api.
 * @version 1.0
 */
public interface BackendBean extends javax.ejb.EJBObject {

  /**
   * BackendBean's only remote method. Note that the method takes no parameters in order
   * to clearly demonstrate the WorkArea service's function. The method will merely retrieve
   * context from the WorkArea. Note that of the two parameters retrieved from the WorkArea, one
   * is defined in the outer scope and one in the inner; end users of the WorkArea (this bean) do
   * not have to worry about WorkArea context is composed, and the lookup is quite lightweight with
   * no declared exceptions.
   * The retrieveAllKeys method is used just to demonstrate one more method from the WorkArea api;
   * note that the method does recurse the stack of imported WorkAreas.
   * 
   * @return java.lang.String []
   *         Messages, essentially trace, are collected from each bean and returned as an array of strings
   *         to be displayed by the client.
   * @exception RemoteException
   */
  String [] test() throws RemoteException;
}
