// ---------------------------------------------------------------------------
//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
//  Change History:
//
// Date       Programmer   Defect    Description
// ----       ----------   ------    -----------
// 02-07-11   hthomann     132573.8  Added copyright statement
// ---------------------------------------------------------------------------

package com.ibm.websphere.samples.workarea.companycontextejb;

import java.rmi.RemoteException;

/**
 * This is an Enterprise Java Bean Remote Interface
 * The Bean demonstrates simple usage of the WorkArea service.
 * The Bean will do the following on its single remote method :
 *      - attempt to set a value into the imported WorkArea
 *            This will fail. Remote processes cannot write directly into
 *            imported WorkAreas. They must begin another one and delta on top of
 *            the imported WorkArea.
 *      - begin a new WorkArea
 *      - attempt to override the Company set by the client
 *            This will fail. Values that were set as read_only cannot be overridden.
 *      - successfuly override the Priority set by the client (will set to Tin)
 *      - invoke the BackendBean in the context of the Bean
 *      - complete the Company created in the Bean
 *      - look up the imported Company and Priority and compose a return message
 * @version 1.0
 */
public interface Bean extends javax.ejb.EJBObject {

  /**
   * Bean's only remote method. Note that the method takes no parameters in order
   * to clearly demonstrate the WorkArea service's function. The method will invoke a number
   * of methods on the WorkArea context, demonstrating both how and how NOT to use the WorkArea
   * service. 
   * 
   * @return java.lang.String [] 
   *         Messages, essentially trace, are collected from each bean and returned as an array of strings
   *         to be displayed by the client.
   * @exception RemoteException
   */
  String [] test() throws RemoteException;
}
