//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.appprofile.accountmanagementejb;

import javax.ejb.EJBObject;
import java.rmi.RemoteException;

/**
 * The Remote Interfe for Application Profile Account Management Sample
 * 
 * @author Cheng-chieh (Jerry) Cheng
 * @version 1.0
 * @since 04/15/2002
 */
public interface Account extends EJBObject{
    /**
     * This remote method is used to retrieve the accountid of an Account entry.
     * 
     * @return The accountid attribute of the Account
     * @exception RemoteException
     */
    public String getAccountid() throws RemoteException;
    /**
     * This remote method is used to retrieve the balance of an Account entry.
     * 
     * @return The balance attribute of the Account
     * @exception RemoteException
     */
    public double getBalance() throws RemoteException;
    /**
     * This remote method is used to set the balance for an Account entry.
     * 
     * @param value  The value of balance attribute of Account should be after this operation
     * @exception RemoteException
     */
    public void setBalance(double value) throws RemoteException;
    /**
     * This remote method is used to retrieve the APR of an Account entry.
     * 
     * @return apr The apr attribute of the Account 
     * @exception RemoteException
     */
    public double getApr() throws RemoteException;
    /**
     * This remote method is used to set the APR for an Account entry.
     * 
     * @param value The value of apr attribute of Account should be after this operation 
     * @exception RemoteException
     */
    public void setApr(double value) throws RemoteException;
    /**
     * This remote method is used to retrieve the type of an Account entry.
     * 
     * @return The type attribute of the Account 
     * @exception RemoteException
     */
    public int getType() throws RemoteException;
    /**
     * This remote method is used to set the type for an Account entry.
     * 
     * @param type set the type attribute of Account to this type parameter
     * @exception RemoteException
     */
    public void setType(int type) throws RemoteException;
    /**
     * This remote method is used to add a given amount of money to an Account entry.
     * 
     * @param amount The amount should be added to balance attribute of the Account
     * @return The balance attribute of the Account after this operation
     * @exception RemoteException
     */
    public double add(double amount) throws RemoteException;
    /**
     * This remote method is used to substract a given amount of money from an Account entry.
     * 
     * @param amount The amount should be substracted from balance attribute of the Account
     * @return The balance attribute of the Account after this operation
     * @exception RemoteException
     */
    public double subtract(double amount) throws RemoteException;
}
