//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.appprofile.accountmanagementejb;

import javax.ejb.EJBLocalObject;
import javax.ejb.EJBException;

/**
 * The Local Interfe for Application Profile Account Management Sample
 * 
 * @author Cheng-chieh (Jerry) Cheng
 * @version 1.0
 * @since 04/15/2002
 */
public interface LocalAccount extends EJBLocalObject{
    /**
     * This remote method is used to retrieve the accountid of an Account entry.
     * 
     * @return The accountid attribute of the Account
     * @exception EJBException
     */
    public String getAccountid() throws EJBException;
    /**
     * This remote method is used to retrieve the balance of an Account entry.
     * 
     * @return The balance attribute of the Account
     * @exception EJBException
     */
    public double getBalance() throws EJBException;
    /**
     * This remote method is used to set the balance for an Account entry.
     * 
     * @exception EJBException
     */
    public void setBalance(double amount) throws EJBException;
    /**
     * This remote method is used to retrieve the APR of an Account entry.
     * 
     * @return The apr attribute of the Account 
     * @exception EJBException
     */
    public double getApr() throws EJBException;
    /**
     * This remote method is used to set the APR for an Account entry.
     * 
     * @param apr The value of apr attribute of Account should be after this operation 
     * @exception EJBException
     */
    public void setApr(double apr) throws EJBException;
    /**
     * This remote method is used to retrieve the type of an Account entry.
     * 
     * @return The type attribute of the Account 
     * @exception EJBException
     */
    public int getType() throws EJBException;
    /**
     * This remote method is used to set the type for an Account entry.
     * 
     * @param type The value of type attribute of Account should be after this operation
     * @exception EJBException
     */
    public void setType(int type) throws EJBException;
    /**
     * This remote method is used to add a given amount of money to an Account entry.
     * 
     * @param amount The amount should be added to balance attribute of the Account
     * @return The balance attribute of the Account after this operation
      * @exception EJBException
     */
    public double add(double amount) throws EJBException;
    /**
     * This remote method is used to substract a given amount of money from an Account entry.
     * 
     * @param amount The amount should be substracted from balance attribute of the Account
     * @return The balance attribute of the Account after this operation
     * @exception EJBException
     */
    public double subtract(double amount) throws EJBException;
}
