//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.appprofile.accountmanagementejb;

import java.util.Comparator;
import java.util.*;
/**
 * The Account Local object comparator
 * 
 * @author Cheng-chieh (Jerry) Cheng
 * @version 1.0
 * @since 04/15/2002
 */
public class LocalAccountComparator implements Comparator {
    public int compare(Object o1, Object o2)
    {
        int result = 0;
        int int1 = 0;
        int int2 = 0;
        String accountId1 = ((LocalAccount)o1).getAccountid();
        String accountId2 = ((LocalAccount)o2).getAccountid();
        boolean isAccountId1Int = true;
        boolean isAccountId2Int = true;
        try
        {
            int1 = Integer.parseInt(accountId1);
        }
        catch(NumberFormatException  e)
        { 
            isAccountId1Int = false;
        }
        try
        {
            int2 = Integer.parseInt(accountId2);
        }
        catch(NumberFormatException  e)
        { 
            isAccountId2Int = false;
        }

        if(isAccountId1Int && isAccountId2Int)
        {
            if(int1>int2) result = 1;
            if(int1<int2) result = -1;
        }
        else if(isAccountId1Int && !isAccountId2Int)
        {
            result = -1;
        }
        else if(!isAccountId1Int && isAccountId2Int)
        {
            result = 1;
        }
        else
        {
            result = accountId1.compareTo(accountId2);
        }

        return result;
    }
}
