//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.asynchbeans.wstrader.applet;

/**
 * Used internally by the URLSenderHandler class.  Each item
 * is a message to be sent to a specific servlet.
 */
class MessageItem
{
    static final int MTYPE_PING = 1;
    static final int MTYPE_LOGIN = 2;
    static final int MTYPE_LOGOUT = 3;
    static final int MTYPE_UPDATE = 4;
    
    public int messageType;
    
    public String pingCookie;
    
    public String loginClientID;
    public String loginSymbols;
    
    public String logoutCookie;
    
    public String updateStreamerName;
    public String updateCookie;
    public String updateSymbols;
    
    static MessageItem getPingMessage(String cookie)
    {
        MessageItem msg = new MessageItem();
        msg.messageType = MTYPE_PING;    
        msg.pingCookie = cookie;
        return msg;
    }
    
    static MessageItem getLoginMessage(String clientid, String symbols)
    {
        MessageItem msg = new MessageItem();
        msg.messageType = MTYPE_LOGIN;
        msg.loginClientID = clientid;
        msg.loginSymbols = symbols;
        return msg;
        
    }
    
    static MessageItem getLogoutMessage(String cookie)
    {
        MessageItem msg = new MessageItem();
        msg.messageType = MTYPE_LOGOUT;
        msg.logoutCookie = cookie;
        return msg;
        
    }
    
    static MessageItem getUpdateMessage(String streamerName, String cookie, String symbols)
    {
        MessageItem msg = new MessageItem();
        msg.messageType = MTYPE_UPDATE;
        msg.updateStreamerName = streamerName;
        msg.updateCookie = cookie;
        msg.updateSymbols = symbols;
        return msg;
    }
}
