//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
//package com.ibm.websphere.samples.asynchbeans.wstrader.tickstream;
package com.ibm.websphere.samples.asynchbeans.wstrader.applet;

import java.io.EOFException;
import java.io.IOException;
import java.io.InputStreamReader;

/**
 * Various utility methods for the WebSphere Trader Applet client.
 */
public class Utility 
{
    /**
     * Retrieve a single line of text from teh InputStreamReader using 
     * an ASCII code of 10 for the end of line character.
     * @param isr the InputStreamReader object that is parsed for input.
     * @return String the resulting line of text that is returned.
     * @exception EOFException thrown when the end of the stream is encountered.
     */
    public String getLineFromInputStream(InputStreamReader isr)
        throws EOFException
    {
        StringBuffer line = new StringBuffer();
        boolean eolFound= false;
        int eol = 10;
        try 
        {
            // Grab a line of text up to the eol character
            while(!eolFound)
            {
                int i = isr.read();
                char c = (char) i;
                if(i == -1)
                {
                    eolFound = true;
                    throw new EOFException();
                }
                
                // If we find an eol, absorb it.
                if (c != eol)
                {
                    line.append(c);
                }
                else
                {
                    eolFound = true;
                }
            }            
        }
        catch(IOException e)
        {
            throw new EOFException();
        }
        return line.toString();
    }

}
