//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.asynchbeans.wstrader.tickstream;

import javax.jms.Message;

import com.ibm.websphere.asynchbeans.EventSourceEvents;
import com.ibm.websphere.samples.asynchbeans.wstrader.ClientInstruction;

/**
 * These are events which can be fired by the Ticker Subscriber
 */
public interface TickerUpdateEvents extends EventSourceEvents
{
    /**
     * A ticker symbol has been updated.
     * @param subscriber the information about the ticker.
     * @param message the received message
     */
    void tickerUpdated(TickerSubscriber subscriber, Message message);

	/**
	 * The ticker listener has stopped.
	 */
    void tickerStopped(TickerSubscriber subscriber);
}
