//
// "This program may be used, executed, copied, modified and distributed without royalty for the
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.asynchbeans.wstrader.tickstream.web;

import javax.jms.JMSException;
import javax.naming.InitialContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import java.io.IOException;
import java.util.logging.*;

import com.ibm.websphere.asynchbeans.WorkManager;
import com.ibm.websphere.samples.asynchbeans.wstrader.Config;
import com.ibm.websphere.samples.asynchbeans.wstrader.tickstream.StreamClientState;

/**
 * @author c1johnso
 *
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 */
public class PingServlet extends BaseAsynchServlet
{
    static final Logger logger = Logger.getLogger(PingServlet.class.getName());
    static final String className = PingServlet.class.getName();

	/**
	 * Constructor for TickerStreamerServlet.
	 */
	public PingServlet()
    {
		super();
	}

    /**
     * @see HttpServlet#doGet(HttpServletRequest, HttpServletResponse)
     */
    protected void doGet(HttpServletRequest req, HttpServletResponse resp)
        throws ServletException, IOException
    {
        doProcess(req, resp);
    }

    /**
     * @see HttpServlet#doPost(HttpServletRequest, HttpServletResponse)
     */
    protected void doPost(HttpServletRequest req, HttpServletResponse resp)
        throws ServletException, IOException
    {
      	doProcess(req,resp);
    }

    /**
     * Process all client requests
     * @param req the client request
     * @param resp the response to the client
     */
    protected void doProcess(HttpServletRequest req, HttpServletResponse resp)
        throws ServletException, IOException
    {
        String methodName = "doProcess";
        logger.entering(className, methodName);
    	try
    	{
    		setTextResponse(resp, true);

            String loginid = getCookieValue(req.getCookies(), Config.CLIENT_COOKIE_NAME, Config.CLIENT_PARAM_CLIENTID);
            logger.logp(Level.FINE, className, methodName, "Found loginid", loginid);
            StreamClientState state = getClientState(loginid);
            if (state != null)
            {
                logger.logp(Level.FINE, className, methodName, "Found state: ", state.toString());
                state.handleClientPing();
            }
            else
            {
                logger.logp(Level.FINE, className, methodName, "State not found for loginid: ", loginid);
            }
    	}
    	catch(Exception e)
    	{
            logger.logp(Level.SEVERE, className, methodName, "Exception processing client request: " + e);
    	}
    	finally
    	{
    		logger.exiting(className, methodName);
    	}
    }

}
