//-----------------------------------------------------------------------------------
// "This program may be used, executed, copied, modified and distributed without 
// royalty for the purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//-----------------------------------------------------------------------------------

package com.ibm.websphere.samples.i18nctx.currencyexchangeejb;

/**
 * This is an Enterprise Java Bean Remote Interface
 */
public interface Exchange extends javax.ejb.EJBObject {
    /**
     * Perform a deposit of the supplied amount on the supplied account.
     * @return com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.CustomerJBean
     * @param account java.lang.String
     * @param depositAmt A double value.
     * @exception java.rmi.RemoteException
     */
    com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.CustomerJBean deposit(String account, double depositAmt) throws java.rmi.RemoteException;
    /**
     * Determine whether the supplied account and password are valid, returning the
     * correlated customer on success.
     * @return com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.CustomerJBean
     * @param account java.lang.String
     * @param password java.lang.String
     * @exception java.rmi.RemoteException
     */
    com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.CustomerJBean verifyPrincipal(java.lang.String account, java.lang.String password) throws java.rmi.RemoteException;
    /**
     * Perform a withdrawl of the supplied amount on the supplied account.
     * @return com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.CustomerJBean
     * @param account java.lang.String
     * @param withdrawAmt double
     * @exception java.rmi.RemoteException
     */
    com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.CustomerJBean withdraw(String account, double withdrawAmt) throws java.rmi.RemoteException;
    /**
     * Update the customer correlated with the supplied account to reflect the
     * most recent transaction. 
     * @return com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.CustomerJBean
     * @param account java.lang.String
     * @exception java.rmi.RemoteException
     */
    com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.CustomerJBean updateCustomer(java.lang.String account) throws java.rmi.RemoteException;
}
