//-----------------------------------------------------------------------------------
// "This program may be used, executed, copied, modified and distributed without 
// royalty for the purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//-----------------------------------------------------------------------------------

package com.ibm.websphere.samples.i18nctx.currencyexchangelibrary;

import java.util.*;
import java.io.*;
import java.util.Properties;

import com.ibm.websphere.samples.i18nctx.currencyexchangeejb.LocalCustomer;

public class AccInfoJBean 
        implements java.io.Serializable {
    private CustomerJBean accountInfo = null; 

    /**
     * Public zero-argument constructer.
     */
    public AccInfoJBean () {
        super ();
    }   
    
    /**
     * Contructor.  
     *  <p>Transfer Customer Entity Bean account-related fields 
     * to this AccInfoBean.
     */
    public AccInfoJBean (LocalCustomer customerCMP) {
        accountInfo = new CustomerJBean ();
        accountInfo.setAccount (customerCMP.getAccount ());
        accountInfo.setName (customerCMP.getName ());
        accountInfo.setBalance (customerCMP.getBalance ());
    }
    
    /**
     * Accessor.
     *
     * @return  The account information for a Customer.
     */
    public CustomerJBean getAccountInfo () {
        return accountInfo;
    }
    
    /**
     * Mutator.
     *
     * @param newAccountInfo A com.ibm.websphere.samples.i18nctx.currencyexchangelibrary.CustomerJBean
     */
    public void setAccountInfo (CustomerJBean newAccountInfo) {
        accountInfo = newAccountInfo;
    }
    
    /**
     * Complete the supplied locale by setting its country code
     * whenever it is unavailable.
     * @param locale A java.util.Locale.
     * @return  A locale containing the language code of the supplied
     *  locale and a default country code, in the event the supplied
     *  locale lacks one.
     */
    public static java.util.Locale getCompleteLocale (Locale locale) {
        String lang = ((locale == null) ? "" : locale.getLanguage ().toLowerCase ());
        String country = "";
        if (lang.equals ("en"))
            country = "US";
        else if (lang.equals ("de"))
            country = "DE";
        else if (lang.equals ("fr"))
            country = "FR";
        else if (lang.equals ("it"))
            country = "IT";
        else if (lang.equals ("es"))
            country = "ES";
        else if (lang.equals ("ja"))
            country = "JP";
        else if (lang.equals ("ko"))
            country = "KR";
        else if (lang.equals ("zh"))
            country = "CN";
        else if (lang.equals ("pt"))
            country = "BR";
    
        return new Locale (lang, country);
    } // getCompleteLocale
    
    /**
     * Determine whether the supplied locale is supported by this sampple.
     * @param locale A java.util.Locale.
     * @return A boolean value.
     */
    public static boolean isMyLocale (Locale locale) {
        String lang = ((locale == null) ? "" : locale.getLanguage ().toLowerCase ());
        return !lang.equals ("") && 
            (lang.equals ("en") || 
             lang.equals ("de") || 
             lang.equals ("fr") || 
             lang.equals ("it") || 
             lang.equals ("es") || 
             lang.equals ("pt") || 
             lang.equals ("ko") || 
             lang.equals ("ja") || 
             lang.equals ("zh"));
    }

} // AccInfoJBean
