//-----------------------------------------------------------------------------------
// "This program may be used, executed, copied, modified and distributed without 
// royalty for the purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//-----------------------------------------------------------------------------------

package com.ibm.websphere.samples.i18nctx.currencyexchangelibrary;

import java.util.*;

/**
 * Class CustomerJBean is a cache of Customer Entity Bean
 * fields that other application components may access without
 * invoking remote calls via a Customer Entity Bean instance.
 */
public class CustomerJBean implements java.io.Serializable {
      private String account      = "";
      private String name         = "";
      private String password     = "";
      private double balance      = 0;

    /**
     * Public zero-argument constructor.
     */
    public CustomerJBean () {
        super ();
    }
  
    /**
     * Accessor.
     *
     * @return  the Customer account number.
     */
    public String getAccount () {
        return this.account;
    }
  
    /**
     * Accessor.
     *
     * @return  the name of this customer.
     */
    public String getName () {
        return name;
    }
  
    /**
     * Get the Customer balance.
     * 
     * @return A double value.
     */
    public double getBalance () {
        return this.balance;
    }
 
    /**
     * Get the Customer password
     *
     * @return String, java.lang.String
     */
    public String getPassword () {
        return this.password;
    }

    /**
     * Accessor.
     * <P>
     * Set the Customer account number.
     *
     * @param account java.lang.String
     */
    public void setAccount (String account) {
        this.account = account;
    }
  
    /**
     * Accessor.
     * <p>
     * Set the Customer name to that supplied.
     *
     * @param name java.lang.String
     */
    public void setName (String name) {
        this.name = name;
    }

    /**
     * Accessor.
     * <p>
     * Set the balance to that supplied.
     *
     * @param  balance double
     */
    public void setBalance (double balance) {
        this.balance = balance;
    }

    /**
     * Accessor.
     *  <p>Set the password to that supplied.
     *
     * @param password java.lang.String
     */
    public void setPassword (String password) {
        this.password = password;
    }

} // CLASS CustomerBean
