//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.ejbquery.employeefinderejb;

import java.rmi.RemoteException;
import java.util.Collection;
import javax.ejb.*;
import java.math.*;
/**
 * The DeptBean CMP EJB Bean implements the EntityBean interface.  It 
 * contains the accessor and business methods necessary to work with an Dept.  In
 * addition, it contains the Home Interface Methods, and Callback Methods. 
 */

public abstract class DeptBean implements EntityBean
{

   //CMP fields
	protected EntityContext entityContext = null;
    //
    // CMP Field accessor methods           Added for EJB 2.0 CMP field support
    //
 
 /**
 * This abstract CMP field accessor method gets the deptno attribute.
 * @return java.lang.Integer
 */
	abstract public Integer getDeptno();
 /**
 * This abstract CMP field accessor method sets the deptno attribute.
 * @param deptno java.lang.Integer
 */
	abstract public void setDeptno(Integer deptno);
 /**
 * This abstract CMP field accessor method gets the name attribute.
 * @return java.lang.String
 */
	abstract public String getName();
 /**
 * This abstract CMP field accessor method sets the name attribute.
 * @param name java.lang.String
 */
	abstract public void setName(String name);
 /**
 * This abstract CMP field accessor method gets the budget attribute.
 * @return double
 */
        abstract public double getBudget();
 /**
 * This abstract CMP field accessor method sets the budget attribute.
 * @param budget double
 */
	abstract public void setBudget(double budget);

	//CMR (1-to-many)
/**
 * This abstract CMR field accessor method gets the emps attribute.
 * returns the Collection of emps in a dept
 * @return java.util.Collection
 */
	abstract public Collection getEmps();
/**
 * This abstract CMR field accessor method sets the emps attribute.
 * @param newEmps java.util.Collection
 */
	abstract public void setEmps(Collection newEmps);
	//CMR (1-to-1)
/**
 * This abstract CMR field accessor method gets the mgr attribute.
 * @return EmpLocal
 */
	abstract public EmpLocal getMgr();
/**
 * This abstract CMR field accessor method sets the mgr attribute.
 * @param newMgr EmpLocal
 */
	abstract public void setMgr(EmpLocal newMgr);
	
    // 
    // Bean Buisness methods
    //

 /**
 * add1 method returns deptno + 1. <BR><BR>
 * eg. select e.add1() from DeptBean e <BR>
 * <strong>WARNING.</strong>&nbsp For methods to work, the server's "Application classloader policy" must be set to "Single".  The default is "Multiple" which can be reset using the Administrative Console.
 *
 * @return int
 */
   public int add1() {
      return getDeptno().intValue() + 1;
   }

   //framework methods


    // 
    // Home Interface Methods
    //


/**
 * ejbCreate method responsible for the creation of a skeleton Dept.
 * @param deptno java.lang.Integer
 * @return DeptKey  the Primary Key Object for Dept, it must be unique.
 * @exception javax.ejb.CreateException  This exception is thrown to 
 *            indicate a failure to create the entity EJB.
 */
   public DeptKey ejbCreate(Integer deptno) throws CreateException {
      setDeptno(deptno);
      return new DeptKey(deptno); 
   }

/**
 * ejbCreate method responsible for the creation of a Dept.
 * @param deptno java.lang.Integer
 * @param name java.lang.String
 * @param budget double
 * @return DeptKey the Primary Key Object for Dept, it must be unique.
 * @exception javax.ejb.CreateException   This exception is thrown to 
 *            indicate a failure to create the entity EJB.
 */
   public DeptKey ejbCreate(Integer deptno, String name, double budget) throws CreateException {
      setDeptno(deptno);
      setName(name);
      setBudget(budget);
      return new DeptKey(deptno); 
   }


/**
 * ejbPostCreate method responsible for the post creation of a skeleton Dept.
 * @param deptno java.lang.Integer
 * @exception javax.ejb.CreateException  This exception is thrown to 
 *            indicate a failure to create the entity EJB.
 */
   public void ejbPostCreate(Integer deptno) throws CreateException {
   }

/**
 * ejbPostCreate method responsible for the post creation of a Dept.
 * @param deptno java.lang.Integer
 * @param name java.lang.String
 * @param budget double
 * @exception javax.ejb.CreateException   This exception is thrown to 
 *            indicate a failure to create the entity EJB.
 */
   public void ejbPostCreate(Integer deptno, String name, double budget) throws CreateException {
   }

/**
 * ejbPostCreate Home Interface Method responsible for post creation steps, there
 * are none for Dept.
 * @param key DeptKey
 * @exception javax.ejb.CreateException    This exception is thrown to 
 *            indicate a failure to create the entity EJB.
 */
   public void ejbPostCreate(DeptKey key) throws CreateException {}


       //
    // Required callback methods
    //

/**
 * setEntityContext required callback method for Container Managed Persistence.
 * @param ctx javax.ejb.EntityContext
 * @exception javax.ejb.EJBException    This exception is thrown to 
 *            indicate a failure to create the entity EJB.
 */ 
    public void setEntityContext (EntityContext ctx) throws EJBException {
      entityContext = ctx;
   }
/**
 * unsetEntityContext required callback method for Container Managed Persistence. 
 * @exception javax.ejb.EJBException The exception description.
 */ 
    public void unsetEntityContext() throws EJBException {
       entityContext = null;
   }

/**
 * ejbLoad required callback method gets called after the EJB is loaded from
 * the database.
 * @exception javax.ejb.EJBException   Signals that an EJB exception can occur. 
 */
   public void ejbLoad() throws EJBException {}

/**
 * ejbStore required callback method for Contaimer Managed Persistence.
 * @exception javax.ejb.EJBException   Signals that an EJB exception can occur. 
 */
   public void ejbStore() throws EJBException {}

/**
 * ejbRemove required callback method for Contaimer Managed Persistence.
 * @exception javax.ejb.EJBException   Signals that an EJB exception can occur. 
 * @exception javax.ejb.RemoveException   Signals that a Remove exception can occur. 
 */
   public void ejbRemove() throws EJBException, RemoveException {}
/**
 * ejbActivate required callback method for lifecycle notification.
 * No actions need to be taken for Dept.
 * @exception javax.ejb.EJBException   Signals that an EJB exception can occur. 
 */
   public void ejbActivate() throws EJBException {}
/**
 * ejbPassivate required callback method for lifecycle notification.
 * No actions need to be taken for Dept.
 * @exception javax.ejb.EJBException   Signals that an EJB exception can occur. 
 */
   public void ejbPassivate() throws EJBException {}
}
