//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.ejbquery.employeefinderejb;

import javax.ejb.*;
import java.rmi.RemoteException;
import java.math.*;     

/**
 * The Home Interface for the Dept CMP Sample.
 */

public interface DeptHome extends EJBHome {

/**
 * This Home Interface Method is responsible for the creation of a skeleton Dept.
 * @param deptno java.lang.Integer
 * @return Dept
 * @exception javax.ejb.CreateException. This exception is thrown to 
 *            indicate a failure to create the entity EJB.
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 *            some sort has occurred.
 */
   public abstract Dept create(Integer deptno) throws CreateException, java.rmi.RemoteException;

/**
 * This Home Interface Method is responsible for the creation of a Dept.
 * @param deptno java.lang.Integer
 * @param name java.lang.String
 * @param budget double
 * @return Dept
 * @exception javax.ejb.CreateException. This exception is thrown to 
 *            indicate a failure to create the entity EJB.
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 *            some sort has occurred.
 */
   public abstract Dept create(Integer deptno, String name, double budget) throws 
CreateException, java.rmi.RemoteException ;

/**
 * This Home Interface Method is used to find a Dept by its primary key.
 * @param primaryKey DeptKey
 * @return Dept
 * @exception java.rmi.RemoteException.  This exception is thrown to 
 *             indicate some sort of remote exception occurred.
 * @exception javax.ejb.FinderException. This exception is thrown to 
 *             indicate a failure to find the entity EJB.
 */
   public abstract Dept findByPrimaryKey(DeptKey primaryKey) throws FinderException, java.rmi.RemoteException;
}
