//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.ejbquery.employeefinderejb;

import javax.ejb.*;
import java.rmi.RemoteException;
import java.math.*;     

/**
 * The LocalHome Interface for the Dept CMP Sample.
 */

public interface DeptLocalHome extends EJBLocalHome {

/**
 * This LocalHome Interface Method is responsible for the creation of a skeleton DeptLocal.
 * @param deptno java.lang.Integer
 * @return DeptLocal
 * @exception javax.ejb.CreateException. This exception is thrown to 
 *            indicate a failure to create the entity EJB.
 */
   public abstract DeptLocal create(Integer deptno) throws CreateException;

/**
 * This LocalHome Interface Method is responsible for the creation of a DeptLocal.
 * @param deptno java.lang.Integer
 * @param name java.lang.String
 * @param budget double
 * @return DeptLocal
 * @exception javax.ejb.CreateException. This exception is thrown to 
 *            indicate a failure to create the entity EJB.
 */
   public abstract DeptLocal create(Integer deptno, String name, double budget) throws 
CreateException;

/**
 * This LocalHome Interface Method is used to find a Dept by its primary key.
 * @param primaryKey DeptKey
 * @return DeptLocal
 * @exception java.rmi.RemoteException.  This exception is thrown to 
 *            indicate some sort of remote exception occurred.
 */
   public abstract DeptLocal findByPrimaryKey(DeptKey primaryKey) throws FinderException;
}
