//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.ejbquery.employeefinderejb;

import javax.ejb.*;
import java.math.*;
import java.sql.*;
import java.util.Calendar;

/**
 * The Remote Interface Business Methods for the Emp CMP Sample.
 */


public interface Emp extends javax.ejb.EJBObject {
 /**
 * This Remote method gets the empid CMP attribute for an Emp.
 * @return java.lang.Integer
 * @exception java.rmi.RemoteException  Signals that a Remote exception of
 * some sort has occurred.
*/
   Integer getEmpid() throws java.rmi.RemoteException;

 /**
 * This Remote method gets the name CMP attribute for an Emp. 
* @return java.lang.String
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 *            some sort has occurred.

 */
   String getName() throws java.rmi.RemoteException;

 /**
 * This Remote method sets the name CMP attribute for an Emp.
 * @param name java.lang.String
 * @exception java.rmi.RemoteException  Signals that a Remote exception of
 * some sort has occurred.

 */
   void setName(String name) throws java.rmi.RemoteException;

 /**
 * This Remote method gets the salary CMP attribute for an Emp.
 * @return double
 * @exception java.rmi.RemoteException  Signals that a Remote exception of
 * some sort has occurred.

 */
   double getSalary() throws java.rmi.RemoteException;

 /**
 * This Remote method sets the salary CMP attribute for an Emp.
 * @param salary double
 * @exception java.rmi.RemoteException  Signals that a Remote exception of
 * some sort has occurred.

 */
   void setSalary(double salary) throws java.rmi.RemoteException;

 /**
 * This Remote method gets the bonus CMP attribute for an Emp.
 * @return double
 * @exception java.rmi.RemoteException  Signals that a Remote exception of
 * some sort has occurred.

 */
   double getBonus() throws java.rmi.RemoteException;

 /**
 * This Remote method sets the bonus CMP attribute for an Emp.
 * @param bonus double
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 *            some sort has occurred.

 */
   void setBonus(double bonus) throws java.rmi.RemoteException;

 /**
 * This Remote method gets the hireDate CMP attribute for an Emp.
 * @return java.sql.Date
 * @exception java.rmi.RemoteException  Signals that a Remote exception of
 * some sort has occurred.

 */
   java.sql.Date getHireDate() throws java.rmi.RemoteException;

 /**
 * This Remote method sets the hireDate CMP attribute for an Emp.
 * @param hireDate java.sql.Date
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 * some sort has occurred.

 */
   void setHireDate(java.sql.Date hireDate) throws java.rmi.RemoteException;

 /**
 * This Remote method gets the hireTime CMP attribute for an Emp.
 * @return java.sql.Time
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 * some sort has occurred.

 */
   Time getHireTime() throws java.rmi.RemoteException;

 /**
 * This Remote method sets the hireTime CMP attribute for an Emp.
 * @param hireTime java.sql.Time
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 * some sort has occurred.
 */
   void setHireTime(Time hireTime) throws java.rmi.RemoteException;

 /**
 * This Remote method gets the hireTimestamp CMP attribute for an Emp.
 * @return java.sql.Timestamp
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 * some sort has occurred.

 */
   Timestamp getHireTimestamp() throws java.rmi.RemoteException;

 /**
 * This Remote method sets the hireTimestamp CMP attribute for an Emp.
 * @param hireTimestamp java.sql.Timestamp
 * @exception java.rmi.RemoteException  Signals that a Remote exception of
 * some sort has occurred.

 */
   void setHireTimestamp(Timestamp hireTimestamp) throws java.rmi.RemoteException;

 /**
 * This Remote method gets the isManager CMP attribute for an Emp.
 * @return boolean
 * @exception java.rmi.RemoteException  Signals that a Remote exception of
 * some sort has occurred.

 */
   boolean getIsManager() throws java.rmi.RemoteException;

 /**
 * This Remote method sets the isManager CMP attribute for an Emp.
 * @param isManager boolean
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 * some sort has occurred.

 */
   void setIsManager(boolean isManager) throws java.rmi.RemoteException;

 /**
 * add1 method returns empid + 1. <BR><BR>
 * eg. select e.add1() from EmpBean e <BR>
 * <strong>WARNING.</strong>&nbsp For methods to work, the server's "Application classloader policy" must be set to "Single".  The default is "Multiple" which can be reset using the Administrative Console.
 *
 * @return int
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 * some sort has occurred.

 */
   public int add1() throws java.rmi.RemoteException;

 /**
 * calcBonus method calculates an employee's annual bonus given a positive profitFactor. <BR>
 * For non managers this is calculated by multiplying 
 * the yearsWorked, the profitFactor, and the profitUnit. <BR>
 * For managers, the previous result is further multiplied by
 * the mgrFactor if the profitFactor is greater than 0.1. <BR>
 * In the method, profitUnit is fixed at 1000 and mgrFactor at 2. <BR><BR>
 * eg. select e.calcBonus(0.2) from EmpBean e <BR>
 * <strong>WARNING.</strong>&nbsp For methods to work, the server's "Application classloader policy" must be set to "Single".  The default is "Multiple" which can be reset using the Administrative Console.
 * @param profitFactor the fractional increase of the value of the company during the current the year
 * @return double
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 * some sort has occurred.

 */
   public double calcBonus(double profitFactor) throws java.rmi.RemoteException;
}
