//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.ejbquery.employeefinderejb;

import javax.ejb.*;
import java.math.*;
import java.sql.*;

/**
 * The Home Interface for the Emp CMP Sample.
 */

public interface EmpHome extends EJBHome {
/**
 * This Home Interface Method is responsible for the creation of a skeleton Emp.
 * @param empid java.lang.Integer
 * @return Emp
 * @exception javax.ejb.CreateException. This exception is thrown to 
 *            indicate a failure to create the entity EJB.
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 *            some sort has occurred.
 */
   public abstract Emp create(Integer empid) throws CreateException, java.rmi.RemoteException;

/**
 * This Home Interface Method is responsible for the creation of an Emp.
 * @param empid java.lang.Integer
 * @param name java.lang.String
 * @param salary double
 * @param bonus double
 * @param hireDate java.sql.Date
 * @param hireTime java.sql.Time
 * @param hireTimestamp java.sql.Timestamp
 * @param isManager boolean
 * @return Emp
 * @exception javax.ejb.CreateException. This exception is thrown to 
 *            indicate a failure to create the entity EJB.
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 *            some sort has occurred.
 */
   public abstract Emp create(Integer empid, String name, double salary, double bonus, java.sql.Date hireDate, Time hireTime, Timestamp hireTimestamp, boolean isManager) throws CreateException, java.rmi.RemoteException ;

/**
   * This Home Interface Method is used to find a Emp by its primary key.
 * @param primaryKey EmpKey
 * @return Emp
 * @exception javax.ejb.FinderException. This exception is thrown to 
 *            indicate a failure to find the entity EJB.
 * @exception java.rmi.RemoteException Signals that a Remote exception of
 *            some sort has occurred.
 */
   public abstract Emp findByPrimaryKey(EmpKey primaryKey) throws FinderException, java.rmi.RemoteException;
}
