//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.ejbquery.employeefinderejb;

import java.math.*;
import java.sql.*;

/**
 * The Local Interface Business Methods for the Emp CMP Sample.
 */

public interface EmpLocal extends javax.ejb.EJBLocalObject {
 /**
 * This Local method gets the empid CMP attribute for an Emp.
 * @return java.lang.Integer
 */
   Integer getEmpid() ;

 /**
 * This Local method gets the name CMP attribute for an Emp.
 * @return java.lang.String
 */
   String getName() ;

 /**
 * This Local method sets the name CMP attribute for an Emp.
 * @param name java.lang.String
 */
   void setName(String name) ;

 /**
 * This Local method gets the salary CMP attribute for an Emp.
 * @return double
 */
   double getSalary() ;

 /**
 * This Local method sets the salary CMP attribute for an Emp.
 * @param salary double
 */
   void setSalary(double salary) ;

 /**
 * This Local method gets the bonus CMP attribute for an Emp.
 * @return double
 */
   double getBonus() ;

 /**
 * This Local method sets the bonus CMP attribute for an Emp.
 * @param bonus double
 */
   void setBonus(double bonus) ;

 /**
 * This Local method gets the hireDate CMP attribute for an Emp.
 * @return java.sql.Date
 */
   java.sql.Date getHireDate() ;
 /**
 * This Local method sets the hireDate CMP attribute for an Emp.
 * @param hireDate java.sql.Date
 */
   void setHireDate(java.sql.Date hireDate) ;

 /**
 * This Local method gets the hireTime CMP attribute for an Emp.
 * @return java.sql.Time
 */
   Time getHireTime() ;

 /**
 * This Local method sets the hireTime CMP attribute for an Emp.
 * @param hireTime java.sql.Time
 */
   void setHireTime(Time hireTime) ;

 /**
 * This Local method gets the hireTimestamp CMP attribute for an Emp.
 * @return java.sql.Timestamp
 */
   Timestamp getHireTimestamp() ;

 /**
 * This Local method sets the hireTimestamp CMP attribute for an Emp.
 * @param hireTimestamp java.sql.Timestamp
 */
   void setHireTimestamp(Timestamp hireTimestamp) ;

 /**
 * This Local method gets the isManager CMP attribute for an Emp.
 * @return boolean
 */
   boolean getIsManager() ;

 /**
 * This Local method sets the isManager CMP attribute for an Emp.
 * @param isManager boolean
 */
   void setIsManager(boolean isManager) ;

 /**
 * This Local method returns empid + 1
 * @return int
 */
   public int add1() ;

 /**
 * This Local method returns the newly calculated bonus for a employee
 * for non managers this is calculated by multiplying 
 * the yearsWorked, the profitFactor, and the profitUnit
 * for managers the previous result is further multiplied by
 * the mgrFactor and again by the profitFactor
 * @return double
 */
   public double calcBonus(double profitFactor) ;
}
