<?xml version="1.0"?>
<!-- 
"This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
or for redistribution by customer, as part of such an application, in customer's own products."

Product 5630-A37,  (C) COPYRIGHT International Business Machines Corp., 2001, 2004
All Rights Reserved * Licensed Materials - Property of IBM
--> 
<project name="DynamicQuery" default="all">

  <target name="all" depends="init, clean,makeDatabase, makeWarJar, document, makeDocWar, makeEar "/>

  <property name="sampname" value="DynamicQuery"/>
  <property name="dir.src.sampname" value="src/${sampname}"/>
  <property name="dir.lib.sampname" value="lib/${sampname}"/>
  <property name="dir.bld.sampname" value="bld/${sampname}"/>
  <property name="dir.javadoc.sampname" value="javadoc/${sampname}"/>

  <target name="init">
    <tstamp/>
    <echo message="DynamicQuery.ear ANT Build started..."/>
    <mkdir dir="${dir.javadoc.sampname}"/>
    <mkdir dir="${dir.bld.sampname}"/>
    <mkdir dir="${dir.lib.sampname}"/>
  </target>

  <target name="clean">
    <tstamp/>
    <echo message="DynamicQuery.ear Cleaning..."/>
    <delete dir="${dir.lib.sampname}"/>
    <delete dir="${dir.bld.sampname}"/>
  </target>

  <target name="makeWarJar">
    <tstamp/>
    <echo message="Building the component pieces of DynamicQuery.ear..." />
    <echo message="basedir = ${basedir} " />
    <ant antfile="${dir.src.sampname}/build_EmployeeFinder.xml" dir="${basedir}"/>
    <ant antfile="${dir.src.sampname}/build_EjbMediator.xml" dir="${basedir}"/>
  </target>
  
  <target name="makeDatabase">
    <tstamp/>
    <echo message="Unzipping the Database for DynamicQuery.ear..."/>
    <ant antfile="${dir.src.sampname}/DynamicQueryEAR/Database/DynamicQuerySamp/build.xml" dir="${basedir}"/>
  </target>

 <target name="document">
    <tstamp/>
    <echo message="Creating DynamicQuery Samples JavaDoc...."/> 
    <mkdir dir="temp/DQ"/>
    <copy todir="temp/DQ">
      <fileset dir="${dir.src.sampname}/EmployeeFinderEJB/ejbModule" includes="**/*.java"/>
      <fileset dir="${dir.src.sampname}/EmployeeFinderWeb/JavaSource" includes="**/*.java"/>
      <fileset dir="${dir.src.sampname}/EjbMediatorWeb/JavaSource" includes="**/*.java"/>
    </copy>
    <javadoc sourcepath="temp/DQ/" destdir="${dir.javadoc.sampname}" protected="true" Windowtitle="Dynamic Query Samples Javadoc" author="false" version="false" maxmemory="256M" extdirs="${was_home}/lib" classpath="${prereq.classpath}:${java.class.path}:../../../security.sas/build/lib/sas.jar">
      <package name="com.ibm.websphere.samples.ejbquery.employeefinderejb"/>
      <package name="com.ibm.websphere.samples.ejbquery.employeefinderwar"/>
      <package name="com.ibm.websphere.samples.ejbquery.ejbmediatorwar"/>
    </javadoc>
    <delete dir="temp"/>
 </target>

  <target name="makeDocWar" depends="document">
    <tstamp/>
    <echo message="Building more component pieces of DynamicQuery.ear..."/>
    <ant antfile="${dir.src.sampname}/build_DynamicQueryGallery.xml" dir="${basedir}"/>
 </target>

  <target name="makeEar" depends="makeWarJar">
    <tstamp/>
    <echo message="Creating the DynamicQuery.ear file..."/>
    <ear earfile="${dir.lib.sampname}/DynamicQuery.ear" appxml="${dir.src.sampname}/DynamicQueryEAR/META-INF/application.xml" manifest="${dir.src.sampname}/DynamicQueryEAR/META-INF/MANIFEST.MF">
      <fileset dir="${dir.lib.sampname}" includes="*.jar, *.war"/>
      <fileset dir="${dir.bld.sampname}" includes="EmployeeFinderDB/**"/>
      <fileset dir="${dir.src.sampname}/DynamicQueryEAR" includes="META-INF/*" excludes="META-INF/application.xml"/>
    </ear>
  </target>
 
</project>




