//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.scheduler.accountreportejb;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

/**
 * Remote interface for the Account EJB
 */
public interface Account extends EJBObject
{
    /**
     * Gets the account number associated with this account
     * 
     * @return The account number associated with this account.
     * @exception RemoteException
     */
    public Integer getAccountNumber() throws RemoteException;

    /**
     * Gets the balance for this account
     * 
     * @return The account balance for this account.
     * @exception RemoteException
     */
    public Double getBalance() throws RemoteException;

    /**
     * Sets the balance for this account
     * 
     * @param newBalance The balance to set in this record
     * @exception RemoteException
     */
    public void setBalance(Double newBalance) throws RemoteException;

    /**
     * Gets the description for this account
     * 
     * @return A text description for the account.
     * @exception RemoteException
     */
    public String getDescription() throws RemoteException;

    /**
     * Sets the description for this account.
     * 
     * @param description
     * @exception RemoteException
     */
    public void setDescription(String description) throws RemoteException;

    /**
     * Gets the owner of this account
     * 
     * @return The owner name as a String
     * @exception RemoteException
     */
    public String getOwnerName() throws RemoteException;

    /**
     * Sets the owner name of this account
     * 
     * @param ownerName
     * @exception RemoteException
     */
    public void setOwnerName(String ownerName) throws RemoteException;

}
