//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.scheduler.accountreportejb;

import javax.ejb.CreateException;
import javax.ejb.EJBException;
import javax.ejb.EntityBean;
import javax.ejb.EntityContext;
import javax.naming.Context;

/**
 * Implementation class for the Account entity bean. 
 * 
 * The Account entity stores information about accounts in the database.
 * 
 * @see com.ibm.websphere.samples.scheduler.accountreportejb.AccountHome
 * @see com.ibm.websphere.samples.scheduler.accountreportejb.Account
 */
public abstract class AccountBean implements EntityBean
{
    private Context initialContext;
    private EntityContext ejbContext;

    /**
     * A container invokes this method when the instance is
     * taken out of the pool of available instances to become
     * associated with a specific EJB object.
     *
     * @exception EJBException Thrown by the method to indicate a failure caused by a system-level error.
     */
    public void ejbActivate() throws EJBException
    {
    }

    /**
     * A container invokes this method on an instance before
     * the instance becomes disassociated with a specific EJB object.
     *
     * @exception EJBException Thrown by the method to indicate a failure caused by a system-level error.
     */
    public void ejbPassivate() throws EJBException
    {
    }

    /**
     * A container invokes this method before it removes the EJB object
     * that is currently associated with the instance.
     *
     * @exception EJBException Thrown by the method to indicate a failure caused by a system-level error.
     */
    public void ejbRemove() throws EJBException
    {
    }

    /**
     * A container invokes this method to instruct the instance to
     * synchronize its state by loading it state from the underlying
     * database.
     *
     * @exception EJBException Thrown by the method to indicate a failure caused by a system-level error.
     */
    public void ejbLoad() throws EJBException
    {
    }

    /**
     * A container invokes this method to instruct the instance to
     * synchronize its state by storing it to the underlying database.
     *
     * @exception EJBException Thrown by the method to indicate a failure caused by a system-level error.
     */
    public void ejbStore() throws EJBException
    {
    }

    /**
     * Set the associated entity context.
     *
     * @param ctx An EntityContext interface for the instance. The instance should store the reference
     *            to the context in an instance variable.
     * @exception EJBException Thrown by the method to indicate a failure caused by a system-level error.
     */
    public void setEntityContext(EntityContext ctx) throws EJBException
    {
        ejbContext = ctx;
    }

    /**
     * Unset the associated entity context.
     *
     * @exception EJBException Thrown by the method to indicate a failure caused by a system-level error.
     */
    public void unsetEntityContext() throws EJBException
    {
        ejbContext = null;
    }

    public Integer ejbCreate(Integer key) throws CreateException{
        setAccountNumber(key);
        return(null);
    }

    public void ejbPostCreate(Integer key) throws CreateException {
    }


    /**
     * Get accountNumber
     *
     * @return account number
     */
    public abstract Integer getAccountNumber();

    /**
     * Set accountNumber
     *
     * @param accountNumber 
     */
    public abstract void setAccountNumber(Integer accountNumber);

    /**
     * Get balance
     *
     * @return balance
     */
    public abstract Double getBalance();

    /**
     * Set balance
     *
     * @param balance 
     */
    public abstract void setBalance(Double balance);

    /**
     * Get description
     *
     * @return description
     */
    public abstract String getDescription();

    /**
     * Set description
     *
     * @param description 
     */
    public abstract void setDescription(String description);

    /**
     * Get ownerName
     *
     * @return owner name
     */
    public abstract String getOwnerName();

    /**
     * Set ownerName
     *
     * @param ownerName 
     */
    public abstract void setOwnerName(String ownerName);
}
