//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.scheduler.accountreportejb;

import java.rmi.RemoteException;
import java.util.Collection;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;

/**
 * Home interface for the Account entity bean
 * 
 * @see com.ibm.websphere.samples.scheduler.accountreportejb.AccountBean
 * @see com.ibm.websphere.samples.scheduler.accountreportejb.Account
 */
public interface AccountHome extends EJBHome
{
    /**
     * Creates an Account entity (and an associated row in the database)
     * 
     * @param key    The account number associated with the account
     * @return A reference to the account
     * @exception CreateException
     * @exception RemoteException
     */
    public Account create(Integer key) throws CreateException,RemoteException;
    /**
     * Returns all accounts found in the database
     * 
     * @return A collection of the accounts
     * @exception FinderException
     * @exception RemoteException
     */
    public Collection findAllAccounts() throws FinderException,RemoteException;
    /**
     * Finds an Account given the account number
     * 
     * @param key    An account number
     * @return The Account
     * @exception FinderException
     * @exception RemoteException
     */
    public Account findByPrimaryKey(Integer key) throws FinderException, RemoteException;
}
