//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.scheduler.accountreportejb;

import java.rmi.RemoteException;

import javax.ejb.EJBObject;

/**
 * Remote interface for the AccountReport EJB
 */
public interface AccountReport extends EJBObject {
    /**
     * Gets the balance that was accumulated and stored in this record
     * 
     * @return The balance in this record
     * @exception RemoteException
     */
    public Double getTotalBalance() throws RemoteException;

    /**
     * Sets the balance for this record
     * 
     * @param totalBalance
     *               The new total for this row
     * @exception RemoteException
     */
    public void setTotalBalance(Double totalBalance) throws RemoteException;

    /**
     * Gets the time this report was generated. 
     * 
     * @return Returns the time the report was generated in ms since the epoch, GMT
     * @exception RemoteException
     */
    public Long getTimeReportGenerated() throws RemoteException;
}
