//
// "This program may be used, executed, copied, modified and distributed without royalty for the 
// purpose of developing, using, marketing, or distributing."
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2001,2004
// All Rights Reserved * Licensed Materials - Property of IBM
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
package com.ibm.websphere.samples.scheduler.accountreportejb;

import javax.ejb.EJBObject;

import com.ibm.websphere.scheduler.SchedulerException;

/**
 * The remote interface for the TaskCreator session bean. 
 * 
 * @see com.ibm.websphere.samples.scheduler.accountreportejb.TaskCreatorHome
 * @see com.ibm.websphere.samples.scheduler.accountreportejb.TaskCreatorBean
 */
public interface TaskCreator extends EJBObject
{
    /**
     * Schedules a task using the given options
     * 
     * @param startInterval
     * @param numberOfRepeats
     * @param repeatInterval
     * @exception SchedulerException
     *                   thrown if there was a failure scheduling the event
     * @exception java.rmi.RemoteException
     *                   thrown if a communication failure occurs
     */
    public void scheduleTask(String startInterval, int numberOfRepeats, String repeatInterval) 
        throws SchedulerException,java.rmi.RemoteException;
}
