//
// "This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
// instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
// or for redistribution by customer, as part of such an application, in customer's own products. "
//
// Product 5630-A36,  (C) COPYRIGHT International Business Machines Corp., 2001, 2004
// All Rights Reserved * Licensed Materials - Property of IBM
//

package com.ibm.websphere.samples.technologysamples.basiccalcclient;

import javax.naming.InitialContext;

import com.ibm.websphere.samples.technologysamples.basiccalcclient.common.BasicCalculatorClient;
import com.ibm.websphere.samples.technologysamples.ejb.stateless.basiccalculatorejb.BasicCalculatorHome;


public class BasicCalculatorClientJ2EE extends BasicCalculatorClient
{
    /**
     * Initializes the BasicCalculatorClient by establishing a connection to the 
     * remote EJB's using the java:comp namespace that the J2EE Appliation Client Container
     * provides.
     */
    public void init() throws javax.naming.NamingException, javax.ejb.CreateException, java.rmi.RemoteException {

        // Create the initial context using the default context given to 
        // us by the J2EE Client Container
        System.out.print("--Creating InitialContext... ");
		InitialContext initCtx = new InitialContext();
		System.out.println("Done.");
		
		// Lookup the Home using the java:comp namespace.
		System.out.print("--Looking-up Home... ");
        Object homeObject = initCtx.lookup("java:comp/env/ejb/BasicCalculator");
		System.out.println("Done.");
		
		// Narrow to a real object
		System.out.print("--Narrowing... ");
		bcHome = (BasicCalculatorHome) javax.rmi.PortableRemoteObject.narrow(homeObject, BasicCalculatorHome.class);
		System.out.println("Done.");
		
		// Create the home
		System.out.print("--Creating Home... ");
		bc = bcHome.create( );
		System.out.println("Done.");        
    }
}