//
// "This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
// instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
// or for redistribution by customer, as part of such an application, in customer's own products. "
//
// Product 5630-A36,  (C) COPYRIGHT International Business Machines Corp., 2001, 2004
// All Rights Reserved * Licensed Materials - Property of IBM
//

package com.ibm.websphere.samples.technologysamples.ejb.stateless.basiccalculatorejb;

import javax.ejb.EJBObject;
import java.rmi.RemoteException;

/**
 * Remote interface for the BasicCalculator stateless session bean.
 */
public interface BasicCalculator extends EJBObject {

	/**
	 * Perform the addition operation on the operands and return the result
	 *
	 * @return The result of adding operand1 and operand2
	 * @param operand1 A number to perform this mathematical operation on
	 * @param operand2 Another number to perform this mathematical operation on
	 * @throws java.rmi.RemoteException If there is a remote communication failure
	 */
	public double makeSum (double operand1, double operand2) throws RemoteException;

	/**
	 * Perform the subtraction operation on the operands and return the result
	 *
	 * @return The result of subtracting operand1 and operand2
	 * @param operand1 A number to perform this mathematical operation on
	 * @param operand2 Another number to perform this mathematical operation on
	 * @throws java.rmi.RemoteException If there is a remote communication failure
	 */
	public double makeDifference (double operand1, double operand2)  throws RemoteException;

	/**
	 * Perform the multiplication operation on the operands and return the result
	 *
	 * @return The result of multiplying operand1 and operand2
	 * @param operand1 A number to perform this mathematical operation on
	 * @param operand2 Another number to perform this mathematical operation on
	 * @throws java.rmi.RemoteException If there is a remote communication failure
	 */
	public double makeProduct (double operand1, double operand2)  throws RemoteException;

	/**
	 * Perform the division operation on the operands and return the result
	 *
	 * @return The result of dividing operand1 and operand2
	 * @param operand1 A number to perform this mathematical operation on
	 * @param operand2 Another number to perform this mathematical operation on
	 * @throws java.rmi.RemoteException If there is a remote communication failure
	 */
	public double makeQuotient (double operand1, double operand2)  throws RemoteException;

}