//
// "This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
// instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
// or for redistribution by customer, as part of such an application, in customer's own products. "
//
// Product 5630-A36,  (C) COPYRIGHT International Business Machines Corp., 2001, 2004
// All Rights Reserved * Licensed Materials - Property of IBM
// 

package com.ibm.websphere.samples.technologysamples.ejb.stateless.basiccalculatorwar;

/**
 * Contains getter and setter methods that are used to get information back and forth between the servlet and JSP.
 */
public class BasicCalculatorJspBean {

	/**
	 * The value of the mathematical operation performed
	 */
	public String result = "";

	/**
	 * The mathematical operation to be performed
	 */
	public String operation = "";

	/**
	 * A number to perform this mathematical operation on
	 */
	public String operand1 = "";

	/**
	 * Another number to perform this mathematical operation on
	 */
	public String operand2 = "";

	/**
	 * The message informing users of the error condition encountered
	 */
	public String message = "";

	/**
	 * Sets the value of result.
	 * 
	 * @param s the value of result in String
	 */
	public void setResult(String s){	
		result = s;
	}

	/**
	 * Returns the value of result (from the mathematical operation performed) 
	 * 
	 * @return result the value of the mathematical operation 
	 */
	public String getResult( ){
		return result;
	}

	/**
	 * Sets the value of operation by converting the name of the operation to its mathematical symbol.
	 * 
	 * @param s the name of the operation
	 */
	public void setOperation(String s){
		if (s.equals("add")) {
			operation = "+";
		} else if (s.equals("subtract")) {
			operation = "-";
		} else if (s.equals("multiply")) {
			operation = "*";
		} else if (s.equals("divide")) {
			operation = "/";
		}
	}

	/**
	 * Returns the value of the operation as a symbol +, -, *, /
	 * 
	 * @return operation the symbol representing the operation add, subtract, multiply, or divide
	 */
	public String getOperation( ){
		return operation;
	}

	/**
	 * Sets the value of operand1. 
	 * 
	 * @param op1 the value of operand1 in String
	 */
	public void setOperand1(String op1){
		operand1  = op1;
	}

	/**
	 * Returns the value of the first operand
	 * 
	 * @return operand1 the value of the first operand
	 */
	public String getOperand1( ){
		return operand1;
	}

	/**
	 * Sets the value of operand2. 
	 * 
	 * @param op2 the value of operand2 in String
	 */
	public void setOperand2(String op2){
		operand2 = op2;
	}

	/**
	 * Returns the value of the second operand
	 * 
	 * @return operand1 the value of the second operand
	 */
	public String getOperand2( ){
		return operand2;
	}

	/**
	 * Sets the value of message. This is used to display error conditions to the user on the JSP
	 * 
	 * @param s the message for the error condition encountered
	 */
	public void setMessage(String s){
		message = s;
	}

	/**
	 * Returns the value of message
	 * 
	 * @return message the value of the message to be displayed
	 */
	public String getMessage( ){
		return message;
	}

}