//
// "This sample program is provided AS IS and may be used, executed, copied and
// modified without royalty payment by customer (a) for its own instruction and
// study, (b) in order to develop applications designed to run with an IBM
// WebSphere product, either for customer's own internal use or for
// redistribution by customer, as part of such an application, in customer's
// own products. " 
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2003, 2004
// All Rights Reserved * Licensed Materials - Property of IBM
//

package com.ibm.websphere.samples.techsamp.security.login.formloginwar;

import java.io.IOException;
import javax.servlet.ServletException;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * This Servlet checks whether WebSphere global security is enabled. If security
 * is disabled, the servlet redirects the user to the Configure and Run page to
 * configure global security. If security is enabled, the servlet calls
 * sendRedirect() to request a resource welcome.jsp which is protected by
 * Form Login authentication type.
 * @version 	1.0
 * @author      TSPOON
 */
public class HomeController extends HttpServlet {

  /**
  * @see javax.servlet.http.HttpServlet#doGet (javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
  */
  public void doGet(HttpServletRequest req, HttpServletResponse resp)
    throws ServletException, IOException {
    this.doWork(req, resp);
  }

  /**
  * @see javax.servlet.http.HttpServlet#doPost (javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
  */
  public void doPost(HttpServletRequest req, HttpServletResponse resp)
    throws ServletException, IOException {
    this.doWork(req, resp);
  }
	
  private void doWork(HttpServletRequest req, HttpServletResponse resp)
    throws ServletException, IOException {

    String currentURL = req.getRequestURL().toString();
    int sep = currentURL.lastIndexOf('/');
    // get everything except the part that calls the current servlet.
    String pathInfo = currentURL.substring(0, sep);

    if (com.ibm.websphere.security.WSSecurityHelper.isGlobalSecurityEnabled())
      resp.sendRedirect(resp.encodeURL(pathInfo + "/secure/welcome.jsp"));
    else
      resp.sendRedirect(resp.encodeURL(pathInfo + "/configSecurity.jsp"));
  }

}
