//
// "This sample program is provided AS IS and may be used, executed, copied and
// modified without royalty payment by customer (a) for its own instruction and
// study, (b) in order to develop applications designed to run with an IBM
// WebSphere product, either for customer's own internal use or for
// redistribution by customer, as part of such an application, in customer's
// own products. " 
//
// Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2003, 2004
// All Rights Reserved * Licensed Materials - Property of IBM
//

package com.ibm.websphere.samples.techsamp.security.login.formloginwar;

import java.io.IOException;
import java.util.*;
import java.text.*;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * The LoginFilter has two very simple servlet filters, which are mapped to
 * the j_security_check servlet. The pre-login filter logs the user ID, and
 * the post-login filter logs the time of the login. 
 * @version 	1.0
 * @author      TSPOON
 */
public class LoginFilter implements Filter {
  private Object filterConfig;
  /**
  * @see javax.servlet.Filter#destroy ()
  */
  public void destroy() {
    this.filterConfig = null;
  }

  /**
  * @see javax.servlet.Filter#doFilter (javax.servlet.ServletRequest, javax.servlet.ServletResponse, javax.servlet.FilterChain)
  */
  public void doFilter(
    ServletRequest req,
    ServletResponse resp,
    FilterChain chain)
    throws ServletException, IOException {

    HttpServletRequest hreq = (HttpServletRequest)req;
    HttpServletResponse hres= (HttpServletResponse)resp;

    // pre login action
    // get username
    String username = hreq.getParameter("j_username");
    hreq.getSession().setAttribute("USER_ID", username);
		
    chain.doFilter(req, resp);
 
    // post login action
    // log the time stamp for login
    String timeStamp = null;
    Locale locale = req.getLocale();
    DateFormat df= DateFormat.getDateTimeInstance(DateFormat.LONG, DateFormat.FULL, locale);
    timeStamp = df.format(new Date());
    hreq.getSession().setAttribute("LOGINTIME", timeStamp);
  }

  /**
  * Method init.
  * @param config
  * @throws javax.servlet.ServletException
  */
  public void init(FilterConfig config) throws ServletException {
    this.filterConfig = config;
  }

}
