<!-- 
"This sample program is provided AS IS and may be used, executed, copied and modified without royalty payment by customer (a) for its own 
instruction and study, (b) in order to develop applications designed to run with an IBM WebSphere product, either for customer's own internal use 
or for redistribution by customer, as part of such an application, in customer's own products."

Product 5724i63,  (C) COPYRIGHT International Business Machines Corp., 2004
All Rights Reserved * Licensed Materials - Property of IBM
-->

<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ page 
language="java"
contentType="text/html; charset=UTF-8"
pageEncoding="ISO-8859-1"
%>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<script>
function verifyCreateAlbumForm(createAlbumForm)
{
	if(createAlbumForm.operation.value == "Create Album")
	{
	    if ((!exists(createAlbumForm.newAlbumName.value)) || (!exists(createAlbumForm.newAlbumYear.value)) ||
	    	(!exists(createAlbumForm.newAlbumTracks.value)))
	    {
	        alert("Please fill in all fields for new Album");
	        return false;
	    }
	    
	    if(!isNumber(createAlbumForm.newAlbumYear.value, "0123456789"))
	    {
	        alert("Album Year has to be a number");
	        return false;
	    }
	    
	    
	}


    return true;
}


function isNumber(string,digits)
{
	var result = true;
	
	for (var i=0;i<string.length;i++)
	{
		if (digits.indexOf(string.substr(i,1)) < 0)
		{
			result = false;
			break;
		}
	}
	return result;
}


function exists(inputVal)
{
	var result = false;
    for (var i = 0; i <= inputVal.length; i++) {
        if ((inputVal.charAt(i) != " ") && (inputVal.charAt(i) != "")) {
            result = true;
            break;
		  }
	 }
    return result;
}

</script>
<jsp:include page="AlbumCatalog.jsp"/>

<hr>

<!-- note that AlbumCatalogServlet added a partially populated Album DataObject - with just the BANDNAME property set - to the Datagraph. 
The "indexOfAlbumToAdd" variable indicates the index of that partially populated DataObject in the list of Album DataObjects of the Datagraph -->

<h3> Create Album for <c:out value='${bandRootDO.ALBUM[indexOfAlbumToAdd].BANDNAME}'/> </h3>
<br>
<FORM name="createAlbumForm" ACTION="/AlbumCatalogWeb/AlbumCatalogServlet" onSubmit="return verifyCreateAlbumForm(this);" METHOD="GET">
	<TABLE>

		<COLGROUP>
			<COL WIDTH="100">
			<COL WIDTH="100">
			<COL WIDTH="25">
			<COL WIDTH="35">
			<COL WIDTH="300">			
		</COLGROUP>
		<TBODY>
			<TR>
				<TH>Band Name</TH>
				<TH>Album Name</TH>						
				<TH>Album Year</TH>	
				<TH>Recommended Tracks </TH>					
			</TR>
					
			<!-- "newAlbumIndexes" is a list of the indexes of all uncommitted Album DataObjects that the user has added so far. This is used to
				display all uncommitted Albums, except the partially populated one. -->
			<c:forEach items="${newAlbumIndexes}" var="newAlbumIndex">
				<c:if test="${newAlbumIndex != indexOfAlbumToAdd}">
					<TR>
						<TD> <c:out value="${bandRootDO.ALBUM[newAlbumIndex].BANDNAME}"/>  </TD>
						<TD> <c:out value="${bandRootDO.ALBUM[newAlbumIndex].ALBUMNAME}"/> </TD>
						<TD> <c:out value="${bandRootDO.ALBUM[newAlbumIndex].ALBUMYEAR}"/> </TD>
						<TD> <c:out value='${bandRootDO.ALBUM[newAlbumIndex].RECOMMENDEDTRACKS}'/> </TD>
					</TR>			
				</c:if>
			</c:forEach>
		
			<!-- display partially populated Album DataObject with input fields to fill the empty fields of the Album DataObject -->
			<TR>
				<TD> <FONT COLOR="Blue"><c:out value='${bandRootDO.ALBUM[indexOfAlbumToAdd].BANDNAME}'/></FONT></TD>										 
				<TD> <INPUT TYPE="TEXT" NAME="newAlbumName" Size="20" MAXLENGTH="100"> </TD>
				<TD> <INPUT TYPE="TEXT" NAME="newAlbumYear" Size="10" MAXLENGTH="100"> </TD>
				<TD> <INPUT TYPE="TEXT" NAME="newAlbumTracks" Size="25" MAXLENGTH="100"> </TD>										
			</TR>
		</TBODY>		
	</TABLE>	

	<br>
	<INPUT TYPE="SUBMIT" name="operation" value="Create Album" onClick='createAlbumForm.operation.value="Create Album";return true'/>  		
	<INPUT TYPE="SUBMIT" name="operation" value="Cancel Albums" onClick='createAlbumForm.operation.value="Cancel Albums";return true'/> 
	
</FORM>


